SDL_GetSurfaceClipRect(3)

NAME
SDL_GetSurfaceClipRect - Get the clipping rectangle for a surface.

SYNOPSIS
#include <SDL3/SDL_surface.h>

bool SDL_GetSurfaceClipRect(SDL_Surface *surface, SDL_Rect *rect);

DESCRIPTION
When surface is the destination of a blit, only the area within the clip rectangle is drawn into.

FUNCTION PARAMETERS

surface
    the SDL_Surface structure representing the surface to be clipped.

rect
    an SDL_Rect structure filled in with the clipping rectangle for the surface.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function can be called on different threads with different surfaces.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_SetSurfaceClipRect(3)